<?php
/**
 * @version     mod_scorpion_sponsors.php - 18/04/2025
 * @copyright   Copyright (C) Scorpion Computers and Software, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; http://www.gnu.org/copyleft/gpl.html
 * @email       info@ScorpionComputers.nl
 */

defined('_JEXEC') or die;

use Joomla\CMS\Helper\ModuleHelper;

// Include the helper functions only once
require_once __DIR__ . '/mod_scorpion_sponsors_helper.php';

// Get sponsors
$helper = new ScorpionSponsorsHelper($params,$module->id);
$sponsors = $helper->getSponsors();

// Check if we have sponsors to display
if (($sponsors) === null) {
    return;
}

// Get module layout
$layout = $params->get('layout', 'default');
$helper->addExtraCSS($params->get('moreStyle'));

// Include the template
require ModuleHelper::getLayoutPath('mod_scorpion_sponsors', $layout); 